#include "platform.h"
#include "uart.h"


/* initialize uart */
void uart_init(void) {
  SPBRG=20; /* 9600 baud, 3.2768 MHz osc. */
  TXSTA=0x24;
  RCSTA=0x90;
  TRISC&=0xBF;
}


/* output single byte */
void uart_putc(unsigned char data) {
  while ((TXSTA&0x2) == 0);
  TXREG=data;
}
